Bug 244996 - Card reader MAUSB-10 is recognized but not mount
Card reader MAUSB-10 is recognized but not mount
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
athlon Linux
low Severity medium
: ---
: ---
Assigned To: Dave Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FCMETA_USB
  Show dependency treegraph
 
Reported: 2007-06-20 09:47 EDT by Ary Correa Jr.
Modified: 2015-01-04 17:29 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-15 21:15:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Log file (5.79 KB, text/plain)
2007-06-20 09:47 EDT, Ary Correa Jr.
no flags Details

  None (edit)
Description Ary Correa Jr. 2007-06-20 09:47:46 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:  Always


Steps to Reproduce:
1. Connect a Olympus USB card-reader MAUSB-10
2. The device is recognized
3. Does not mount.
4. The usb port becames unresponsive.
  
Actual results:


Expected results:


Additional info:  The card works fine in Fedora Core 6
Comment 1 Ary Correa Jr. 2007-06-20 09:47:46 EDT
Created attachment 157465 [details]
Log file
Comment 2 Christopher Brown 2007-09-17 07:26:02 EDT
Hello Ary,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.

Cheers
Chris
Comment 3 Ary Correa Jr. 2007-09-20 10:46:05 EDT
On 18/09/2007, Ary Corrêa Jr. <a_correa@icb.ufmg.br> wrote:
Dear Cris, 
        
        Sorry to tell, but the bug still there.
        I am attaching the message log I got when pluged the card reader.
        Hope will help and wish success.
        Thank you very much for the attention
        
        Ary
        
        
        
        
        
        Sep 18 10:49:54 icb kernel: usb 4-1: new full speed USB device using
        uhci_hcd and address 2
        Sep 18 10:49:54 icb kernel: usb 4-1: configuration #1 chosen from 1
        choice
        Sep 18 10:49:54 icb kernel: scsi4 : SCSI emulation for USB Mass Storage 
        devices
        Sep 18 10:49:59 icb kernel: scsi 4:0:0:0: Direct-Access     Olympus
        MAUSB-10 (Alauda 0102 PQ: 0 ANSI: 0 CCS
        Sep 18 10:49:59 icb kernel: scsi 4:0:0:1: Direct-Access     Olympus
        MAUSB-10 (Alauda 0102 PQ: 0 ANSI: 0 CCS 
        Sep 18 10:49:59 icb kernel: sd 4:0:0:0: [sdb] Attached SCSI removable
        disk
        Sep 18 10:49:59 icb kernel: sd 4:0:0:0: Attached scsi generic sg2 type 0
        Sep 18 10:50:28 icb kernel: usb 4-1: reset full speed USB device using 
        uhci_hcd and address 2
        Sep 18 10:50:28 icb kernel: sd 4:0:0:1: [sdc] 256000 512-byte hardware
        sectors (131 MB)
        Sep 18 10:50:28 icb kernel: sd 4:0:0:1: [sdc] Test WP failed, assume
        Write Enabled
        Sep 18 10:50:28 icb kernel: sd 4:0:0:1: [sdc] Assuming drive cache: 
        write through
        Sep 18 10:50:28 icb kernel: sd 4:0:0:1: [sdc] 256000 512-byte hardware
        sectors (131 MB)
        Sep 18 10:50:28 icb kernel: sd 4:0:0:1: [sdc] Test WP failed, assume
        Write Enabled
        Sep 18 10:50:28 icb kernel: sd 4:0:0:1: [sdc] Assuming drive cache: 
        write through
        Sep 18 10:50:57 icb gconfd (root-7043): starting (version 2.18.0.1), pid
        7043 user 'root'
        Sep 18 10:50:57 icb gconfd (root-7043): Resolved address
        "xml:readonly:/etc/gconf/gconf.xml.mandatory" to a read-only 
        configuration source at position 0
        Sep 18 10:50:57 icb gconfd (root-7043): Resolved address
        "xml:readwrite:/root/.gconf" to a writable configuration source at
        position 1
        Sep 18 10:50:57 icb gconfd (root-7043): Resolved address 
        "xml:readonly:/etc/gconf/gconf.xml.defaults" to a read-only
        configuration source at position 2
        Sep 18 10:50:57 icb kernel:  sdc:<1>Unable to handle kernel NULL pointer
        dereference at 0000000000000000 RIP: 
        Sep 18 10:50:57 icb kernel:
        [<ffffffff8843a20d>] :usb_storage:alauda_transport+0x2c7/0xcea
        Sep 18 10:50:57 icb kernel: PGD 7771067 PUD 77f2067 PMD 0
        Sep 18 10:50:57 icb kernel: Oops: 0000 [1] SMP
        Sep 18 10:50:57 icb kernel: last sysfs 
        file: /devices/pci0000:00/0000:00:10.3/usb4/idVendor
        Sep 18 10:50:57 icb kernel: CPU 0
        Sep 18 10:50:57 icb kernel: Modules linked in: usb_storage autofs4 hidp
        l2cap bluetooth sunrpc nf_conntrack_ftp nf_conntrack_netbios_ns 
        nf_conntrack_ipv4 xt_state nf_conntrack nfnetlink ipt_REJECT
        iptable_filter ip_tables xt_tcpudp ip6t_REJECT ip6table_filter
        ip6_tables x_tables ib_iser rdma_cm ib_cm iw_cm ib_sa ib_mad ib_core
        ib_addr iscsi_tcp libiscsi scsi_transport_iscsi cpufreq_ondemand vfat 
        fat dm_multipath video sbs button dock battery ac ipv6 snd_via82xx
        gameport snd_via82xx_modem snd_seq_dummy snd_ac97_codec ac97_bus
        snd_seq_oss snd_seq_midi_event snd_seq snd_pcm_oss snd_mixer_oss snd_pcm
        parport_pc k8temp snd_mpu401_uart parport hwmon snd_timer snd_rawmidi 
        snd_seq_device i2c_viapro snd rtc_cmos i2c_core snd_page_alloc soundcore
        8139too 8139cp mii shpchp sr_mod cdrom floppy sg dm_snapshot dm_zero
        dm_mirror dm_mod pata_via ata_generic sata_via libata sd_mod scsi_mod 
        ext3 jbd mbcache ehci_hcd ohci_hcd uhci_hcd
        Sep 18 10:50:57 icb kernel: Pid: 6967, comm: usb-storage Not tainted
        2.6.22.5-76.fc7 #1
        Sep 18 10:50:57 icb kernel: RIP: 0010:[<ffffffff8843a20d>]
        [<ffffffff8843a20d>] :usb_storage:alauda_transport+0x2c7/0xcea 
        Sep 18 10:50:57 icb kernel: RSP: 0000:ffff810008277d00  EFLAGS: 00010246
        Sep 18 10:50:57 icb kernel: RAX: 0000000000000000 RBX: 0000000000000000
        RCX: 0000000000000000
        Sep 18 10:50:57 icb kernel: RDX: 0000000000000000 RSI: 0000000000000030 
        RDI: ffff81003a857500
        Sep 18 10:50:57 icb kernel: RBP: 0000000000000000 R08: ffff810000b3c418
        R09: 0000000000000800
        Sep 18 10:50:57 icb kernel: R10: 000000000000027a R11: 0000000000000000
        R12: ffff81002b6ac530 
        Sep 18 10:50:57 icb kernel: R13: 0000000000000008 R14: ffff81002e854000
        R15: 0000000000000000
        Sep 18 10:50:57 icb kernel: FS:  00002aaaaaad4730(0000)
        GS:ffffffff813ae000(0000) knlGS:00000000f7fd06d0
        Sep 18 10:50:57 icb kernel: CS:  0010 DS: 0018 ES: 0018 CR0: 
        000000008005003b
        Sep 18 10:50:57 icb kernel: CR2: 0000000000000000 CR3: 0000000007566000
        CR4: 00000000000006e0
        Sep 18 10:50:57 icb kernel: Process usb-storage (pid: 6967, threadinfo
        ffff810008276000, task ffff8100280fe800) 
        Sep 18 10:50:57 icb kernel: Stack:  0000000000000001 ffff81000154f908
        0000002000000008 00000009000003e8
        Sep 18 10:50:57 icb kernel:  ffff8100280f2000 ffff8100280fe800
        ffff8100280f0000 ffff81000154f880
        Sep 18 10:50:57 icb kernel:  ffff810008277d60 0000000000000000 
        ffff8100280fe800 ffff81000154f880
        Sep 18 10:50:57 icb kernel: Call Trace:
        Sep 18 10:50:57 icb kernel:  [<ffffffff810b69a8>] blkdev_readpage
        +0x0/0xf
        Sep 18 10:50:57 icb kernel:  [<ffffffff81248513>] thread_return+0x0/0xd8 
        Sep 18 10:50:57 icb kernel:  [<ffffffff8102ab80>] update_curr+0xf8/0x11a
        Sep 18 10:50:57 icb kernel:  [<ffffffff81249de6>] __down_interruptible
        +0xfa/0x112
        Sep 18 10:50:57 icb kernel:
        [<ffffffff8843357e>] :usb_storage:usb_stor_invoke_transport+0x22/0x2b4 
        Sep 18 10:50:57 icb kernel:  [<ffffffff81249bb9>]
        __down_failed_interruptible+0x35/0x3a
        Sep 18 10:50:57 icb kernel:
        [<ffffffff884343c5>] :usb_storage:usb_stor_control_thread+0x15c/0x1ed
        Sep 18 10:50:57 icb kernel: 
        [<ffffffff88434269>] :usb_storage:usb_stor_control_thread+0x0/0x1ed
        Sep 18 10:50:57 icb kernel:  [<ffffffff8104528c>] kthread+0x47/0x73
        Sep 18 10:50:57 icb kernel:  [<ffffffff8100a978>] child_rip+0xa/0x12 
        Sep 18 10:50:57 icb kernel:  [<ffffffff81045245>] kthread+0x0/0x73
        Sep 18 10:50:57 icb kernel:  [<ffffffff8100a96e>] child_rip+0x0/0x12
        Sep 18 10:50:57 icb kernel:
        Sep 18 10:50:57 icb kernel:
        Sep 18 10:50:57 icb kernel: Code: 66 8b 04 50 66 83 f8 ff 75 11 8b 8c 24 
        d8 00 00 00 31 c0 4c
        Sep 18 10:50:57 icb kernel: RIP
        [<ffffffff8843a20d>] :usb_storage:alauda_transport+0x2c7/0xcea
        Sep 18 10:50:57 icb kernel:  RSP <ffff810008277d00>
        Sep 18 10:50:57 icb kernel: CR2: 0000000000000000 
        --
        ________________________________________________________
        Ary Corrêa Jr. PhD
        Associate Professor
        Department of Microbiology - J3-166
        Federal University of Minas Gerais
        Av. Antônio Carlos 6627
        31270-901 - Belo Horizonte 
        Brazil
        Ph. +55 +31 34992750
        FAX +55 +31 34992730
        
        
Comment 4 Christopher Brown 2007-09-20 11:11:00 EDT
Okay, thanks for the update Ary. That looks pretty nasty - I'm re-assigning the
the relevant maintainer who may be able to assist you further here.

Cheers
Chris
Comment 5 Christopher Brown 2008-01-09 09:56:56 EST
Ary,

Are you still having issues with this?
Comment 6 Christopher Brown 2008-02-15 21:15:52 EST
Closing as per previous comment. Please re-open if this is still an issue for you.

Note You need to log in before you can comment on or make changes to this bug.